gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A Box is a Gtk container that holds an arbitrary number of widgets. This means its sole purpose is to provide layout, size and spacing for other widgets.

A Box is a rectangular area organized into either a single row or a single column of child widgets, depending upon whether the box is horizontally or vertically oriented, respectively.

A Box is abstract - specific layout containers are provided in its sub classes, including a horizontal box, (), a vertical box (), and button boxes, ().

Widgets that are 'packed' into a box are considered to be the children of the box, and the box controls their layout. Properties such as control the layout of all the children in the box, whereas specific packing settings can be applied to each child individually, such as .

Gtk.Container Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` `` `` Change the packing properties of a child that is currently in this box. The child widget whose layout should be adjusted If , the child widget will expand to use as much space as it is given. If , the child widget will request as much space as is available. The size (in pixels) of a border to place around the specified child widget. Whether this child widget should be packed from the beginning of the box, (eg. the left, or the top), or from the end, (eg. the right or the bottom)

  It is more common to set any specific packing requirements on child widgets when they are initially added to the box. This can be done using and .

- Method
  System.Void `` Add a widget to the 'end' of a box with default packing settings. The child widget to add to the box.

  The 'end' of a box is the right hand side in a and the bottom in a .

- Method
  System.Void `` Add a widget to the 'start' of a box with default packing settings. The child widget to add to the box.

  The 'start' of a box is the left hand side in a and the top in a .

- Method
  System.Void `` `` `` `` Add a widget to the 'start' of a box with the specified packing properties. A widget to pack into the box. If , the child widget will expand to use as much space as it is given. If , the child widget will request as much space as is available. The size (in pixels) of a border to place around the specified child widget.

  To add a widget to the start of a box with default packing, use

- Method
  System.Void `` `` `` `` Add a widget to the 'end' of a box with the specified packing properties. A widget to pack into the box. If , the child widget will expand to use as much space as it is given. If , the child widget will request as much space as is available. The size (in pixels) of a border to place around the specified child widget.

  To add a widget to the end of a box with default packing, use

- Method
  System.Void `` `` Alters the position of a child widget that has already been packed into a Box. A widget that has already been packed into this box.

  The new position for this widget, indexed from zero. If negative, the will be placed at the end of the box.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Box, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  System.Int32 Adjust the spacing between child widgets. The number of pixels of space to put between child widgets. The current pixel spacing between child widgets
- Property
  System.Boolean Set the size of all child widgets to be the same If , all child widgets are forced to have the same size, otherwise they appear at their preferred size. if child widgets size themselves equally, false otherwise.
- Method
  System.Void `` `` `` `` `` Returns information about how is packed into . the of the child to query. a , the returned value of the expand field in the BoxChild object. a , the returned value of the fill field in the BoxChild object. a , the retuned value of the padding field in the BoxChild object. a , the returned value of the pack field in the BoxChild object.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Protected constructor.
  a
- Method
  System.UInt32 `` Get the padding for . a child of this 's padding See for more details about child properties.
- Method
  System.Void `` `` Set the padding for . a child of this the new padding value for See for more details about child properties.
- Method
  System.Boolean `` Get the "fill" property for . a child of this 's "fill" property See for more details about child properties.
- Method
  System.Void `` `` Set the "fill" property for . a child of this the new "fill" property for . See for more details about child properties.
- Method
  System.Boolean `` Get the "expand" property for . a child of this 's "expand" property See for more details about child properties.
- Method
  System.Void `` `` Set the "expand" property for . a child of this the new "expand" property for See for more details about child properties.
- Method
  Gtk.PackType `` Get the pack type (start or end) for . a child of this 's See for more details about child properties.
- Method
  System.Void `` `` Set the pack type (start or end) for . a child of this the new for See for more details about child properties.
- Method
  System.Int32 `` Get the position of . a child of this 's position The child's position in the parent reflects the order it was added in. Children with lower position values appear closer to the end they were packed onto. Children with higher position values appear closer to the center, or the opposite end.
- Method
  System.Void `` `` Set the position of . a child of this the new position for The child's position in the parent reflects the order it was added in. Children with lower position values appear closer to the end they were packed onto. Children with higher position values appear closer to the center, or the opposite end.